## com.bbn.openmap.layer.mif
Class MIFException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.bbn.openmap.layer.mif.MIFException

All Implemented Interfaces:
  java.io.Serializable

public class MIFException
extends java.lang.RuntimeException

Custom Exception class for exceptions within the loading of MIF files

Author:
  Simon Bowen
See Also:
  Serialized Form

Constructor Summary
`MIFException()`
`MIFException(java.lang.String arg0)`
`MIFException(java.lang.String arg0, java.lang.Throwable arg1)`
`MIFException(java.lang.Throwable arg0)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MIFException

    public MIFException()

### MIFException

    public MIFException(java.lang.String arg0)

Parameters:
  `arg0` -

### MIFException

    public MIFException(java.lang.String arg0,
                        java.lang.Throwable arg1)

Parameters:
  `arg0` -
  `arg1` -

### MIFException

    public MIFException(java.lang.Throwable arg0)

Parameters:
  `arg0` -

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details